/**
 * @typedef {import('../types/Config.d.ts').PlatformConfig} Config
 * @typedef {import('../types/File.d.ts').File} File
 */
/**
 * Takes the style property object and a format and returns a
 * string that can be written to a file.
 * @memberOf StyleDictionary
 * @param {File} file
 * @param {Config} [platform]
 */
export default function cleanDir(file: File, platform?: import("../types/Config.d.ts").PlatformConfig | undefined): void;
export type Config = import('../types/Config.d.ts').PlatformConfig;
export type File = import('../types/File.d.ts').File;
